﻿using System;
using System.Collections.Generic;
using System.Text;

namespace TestProgressBar
{
    internal class ProgressBarData
    {
        public ProgressBarData()
        {
            Data = new ComplexData();
        }

        public int Value { get; set; }
        public ComplexData Data { get; set; }
    }

    internal class ComplexData : ITaskProgress
    {
        public ComplexData()
        {
            Selected = 30;
            Sucesseded = 10;
            Rejected = 2;
        }
        public int Selected { get; set; }
        public int Sucesseded { get; set; }
        public int Rejected { get; set; }
    }

    internal interface ITaskProgress
    {
        int Selected { get; }
        int Sucesseded { get; }
        int Rejected { get; }
    }

    class TaskProgress : ITaskProgress
    {
        #region Implementation of ITaskProgress

        public int Selected { get; set; }
        public int Sucesseded { get; set; }
        public int Rejected { get; set; }

        #endregion
    }
}
